Subject: Upload: Permission denied on server

From: Uwe Bolte <[email-masked]>
Date: Mon, 5 Jul 1999 15:30:57 +0200 (MET DST)

Hello,

thank you all for your help, now the ftp server is running.

But now I have a problem with uploading files. I read the
upload.configuration.HOWTO from Gregory A Lundberg and I 
think I did all correct. But always when I try to upload
a file as anonymous user to incoming I get an error:

bolte 312: ftp s8
Connected to ipisun8.
220 FTP server ready.
Name (s8:bolte): anonymous
331 Guest login ok, send your complete e-mail address as password.
Password:
230 Guest login ok, access restrictions apply.
ftp> cd incoming
250 CWD command successful.
ftp> put test
200 PORT command successful.
553 test: Permission denied on server. (Upload)

The entrys in ftpaccess are:
---------------------------------------------------
...
class   local   real,guest,anonymous *.domain 0.0.0.0
class   remote  real,guest,anonymous *
class anonftp anonymous *
...

# specify the upload directory information
upload  /export/ftp  *             no
upload  /export/ftp  /incoming yes  ftpadmin ftpadmin 0440 nodirs
upload  /export/ftp  /bin          no
upload  /export/ftp  /dev          no
upload  /export/ftp  /etc          no
 
# directory aliases...  [note, the ":" is not required]
alias   inc:    /incoming
....
---------------------------------------------------
Thank you for your help,

Uwe	[email-masked]